### Function

# EDataServer time_get_d_fmt_with_4digit_year

since: 2.22

#### Declaration [src]

    gchar*
    e_time_get_d_fmt_with_4digit_year (
      void
    )

#### Description [src]

Retrieves a date format string with a 4-digit year (D_FMT on systems with `nl_langinfo()` available). In case the current locale doesn’t support 4-digit year, the function returns format as specified by the locale.

Free the returned string with g_free().

Available since: 2.22

#### Return value

Type: `gchar*`

A newly-allocated date format string.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.